/* $Id: ConnectionToolBar.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.swingui.toolbar;

import javax.swing.JButton;
import javax.swing.JToolBar;

import smart_gs.swingui.AbstractGSWindow;
import smart_gs.swingui.toolbar.action.CreateLinkActionListener;
import smart_gs.swingui.toolbar.action.ShowLocalViewAction;

@SuppressWarnings("serial")
public class ConnectionToolBar extends JToolBar{
	
	public ConnectionToolBar(AbstractGSWindow parent){
		JButton createLink = new JButton("Create Link");
		createLink.addActionListener(new CreateLinkActionListener(parent));
		createLink.setToolTipText("Create Link");
		this.add(createLink);
		
		JButton jump = new JButton("Local View");
		jump.addActionListener(new ShowLocalViewAction(parent));
		jump.setToolTipText("Local View");
		this.add(jump);
	}
}
